
package de.ivu.elect.presentation.gruppeimgebiet.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.gruppeimgebiet.exchange.GruppeImGebietExportDescription;

public class GruppeImGebietExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private GruppeImGebietExportDescription gruppeImGebietExportDescription;

  public GruppeImGebietExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return gruppeImGebietExportDescription;
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && isWahlMitKandidaturenSelected();
  }

  private boolean isWahlMitKandidaturenSelected() {
    return isWahlSelected() && getSelectedWahl().isWahlMitKandidaturen();
  }

  @Override
  public String getLabel() {
    return getMessage(getLabelKey(), getMessage("entity.mehrzahl.GRUPPENREIHENFOLGE"));
  }
}
